pre { line-height: 125%; }
td.linenos .normal { color: #3c4354; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: #3c4354; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #3c4354; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #3c4354; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.codehilite .hll { background-color: #6e7681 }
.codehilite { background: #1d2331; color: #D4D2C8 }
.codehilite .c { color: #7E8AA1 } /* Comment */
.codehilite .err { color: #F88F7F } /* Error */
.codehilite .esc { color: #D4D2C8 } /* Escape */
.codehilite .g { color: #D4D2C8 } /* Generic */
.codehilite .k { color: #FFAD66 } /* Keyword */
.codehilite .l { color: #D5FF80 } /* Literal */
.codehilite .n { color: #D4D2C8 } /* Name */
.codehilite .o { color: #FFAD66 } /* Operator */
.codehilite .x { color: #D4D2C8 } /* Other */
.codehilite .p { color: #D4D2C8 } /* Punctuation */
.codehilite .ch { color: #F88F7F; font-style: italic } /* Comment.Hashbang */
.codehilite .cm { color: #7E8AA1 } /* Comment.Multiline */
.codehilite .cp { color: #FFAD66; font-weight: bold } /* Comment.Preproc */
.codehilite .cpf { color: #7E8AA1 } /* Comment.PreprocFile */
.codehilite .c1 { color: #7E8AA1 } /* Comment.Single */
.codehilite .cs { color: #7E8AA1; font-style: italic } /* Comment.Special */
.codehilite .gd { color: #F88F7F; background-color: #3D1E20 } /* Generic.Deleted */
.codehilite .ge { color: #D4D2C8; font-style: italic } /* Generic.Emph */
.codehilite .ges { color: #D4D2C8 } /* Generic.EmphStrong */
.codehilite .gr { color: #F88F7F } /* Generic.Error */
.codehilite .gh { color: #D4D2C8 } /* Generic.Heading */
.codehilite .gi { color: #6AD4AF; background-color: #19362C } /* Generic.Inserted */
.codehilite .go { color: #7E8AA1 } /* Generic.Output */
.codehilite .gp { color: #D4D2C8 } /* Generic.Prompt */
.codehilite .gs { color: #D4D2C8; font-weight: bold } /* Generic.Strong */
.codehilite .gu { color: #D4D2C8 } /* Generic.Subheading */
.codehilite .gt { color: #F88F7F } /* Generic.Traceback */
.codehilite .kc { color: #FFAD66 } /* Keyword.Constant */
.codehilite .kd { color: #FFAD66 } /* Keyword.Declaration */
.codehilite .kn { color: #FFAD66 } /* Keyword.Namespace */
.codehilite .kp { color: #FFAD66 } /* Keyword.Pseudo */
.codehilite .kr { color: #FFAD66 } /* Keyword.Reserved */
.codehilite .kt { color: #73D0FF } /* Keyword.Type */
.codehilite .ld { color: #D5FF80 } /* Literal.Date */
.codehilite .m { color: #DFBFFF } /* Literal.Number */
.codehilite .s { color: #D5FF80 } /* Literal.String */
.codehilite .na { color: #FFD173 } /* Name.Attribute */
.codehilite .nb { color: #FFD173 } /* Name.Builtin */
.codehilite .nc { color: #73D0FF } /* Name.Class */
.codehilite .no { color: #FFD173 } /* Name.Constant */
.codehilite .nd { color: #7E8AA1; font-weight: bold; font-style: italic } /* Name.Decorator */
.codehilite .ni { color: #95E6CB } /* Name.Entity */
.codehilite .ne { color: #73D0FF } /* Name.Exception */
.codehilite .nf { color: #FFD173 } /* Name.Function */
.codehilite .nl { color: #D4D2C8 } /* Name.Label */
.codehilite .nn { color: #D4D2C8 } /* Name.Namespace */
.codehilite .nx { color: #D4D2C8 } /* Name.Other */
.codehilite .py { color: #FFD173 } /* Name.Property */
.codehilite .nt { color: #5CCFE6 } /* Name.Tag */
.codehilite .nv { color: #D4D2C8 } /* Name.Variable */
.codehilite .ow { color: #FFAD66 } /* Operator.Word */
.codehilite .pm { color: #D4D2C8 } /* Punctuation.Marker */
.codehilite .w { color: #D4D2C8 } /* Text.Whitespace */
.codehilite .mb { color: #DFBFFF } /* Literal.Number.Bin */
.codehilite .mf { color: #DFBFFF } /* Literal.Number.Float */
.codehilite .mh { color: #DFBFFF } /* Literal.Number.Hex */
.codehilite .mi { color: #DFBFFF } /* Literal.Number.Integer */
.codehilite .mo { color: #DFBFFF } /* Literal.Number.Oct */
.codehilite .sa { color: #F29E74 } /* Literal.String.Affix */
.codehilite .sb { color: #D5FF80 } /* Literal.String.Backtick */
.codehilite .sc { color: #D5FF80 } /* Literal.String.Char */
.codehilite .dl { color: #D5FF80 } /* Literal.String.Delimiter */
.codehilite .sd { color: #7E8AA1 } /* Literal.String.Doc */
.codehilite .s2 { color: #D5FF80 } /* Literal.String.Double */
.codehilite .se { color: #95E6CB } /* Literal.String.Escape */
.codehilite .sh { color: #D5FF80 } /* Literal.String.Heredoc */
.codehilite .si { color: #95E6CB } /* Literal.String.Interpol */
.codehilite .sx { color: #95E6CB } /* Literal.String.Other */
.codehilite .sr { color: #95E6CB } /* Literal.String.Regex */
.codehilite .s1 { color: #D5FF80 } /* Literal.String.Single */
.codehilite .ss { color: #DFBFFF } /* Literal.String.Symbol */
.codehilite .bp { color: #5CCFE6 } /* Name.Builtin.Pseudo */
.codehilite .fm { color: #FFD173 } /* Name.Function.Magic */
.codehilite .vc { color: #D4D2C8 } /* Name.Variable.Class */
.codehilite .vg { color: #D4D2C8 } /* Name.Variable.Global */
.codehilite .vi { color: #D4D2C8 } /* Name.Variable.Instance */
.codehilite .vm { color: #D4D2C8 } /* Name.Variable.Magic */
.codehilite .il { color: #DFBFFF } /* Literal.Number.Integer.Long */
@media (prefers-color-scheme:dark){
pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
html:not([data-theme=light]) .codehilite .hll { background-color: #ffffcc }
html:not([data-theme=light]) .codehilite { background: #282C34; color: #ABB2BF }
html:not([data-theme=light]) .codehilite .c { color: #7F848E } /* Comment */
html:not([data-theme=light]) .codehilite .err { color: #ABB2BF } /* Error */
html:not([data-theme=light]) .codehilite .esc { color: #ABB2BF } /* Escape */
html:not([data-theme=light]) .codehilite .g { color: #ABB2BF } /* Generic */
html:not([data-theme=light]) .codehilite .k { color: #C678DD } /* Keyword */
html:not([data-theme=light]) .codehilite .l { color: #ABB2BF } /* Literal */
html:not([data-theme=light]) .codehilite .n { color: #E06C75 } /* Name */
html:not([data-theme=light]) .codehilite .o { color: #56B6C2 } /* Operator */
html:not([data-theme=light]) .codehilite .x { color: #ABB2BF } /* Other */
html:not([data-theme=light]) .codehilite .p { color: #ABB2BF } /* Punctuation */
html:not([data-theme=light]) .codehilite .ch { color: #7F848E } /* Comment.Hashbang */
html:not([data-theme=light]) .codehilite .cm { color: #7F848E } /* Comment.Multiline */
html:not([data-theme=light]) .codehilite .cp { color: #7F848E } /* Comment.Preproc */
html:not([data-theme=light]) .codehilite .cpf { color: #7F848E } /* Comment.PreprocFile */
html:not([data-theme=light]) .codehilite .c1 { color: #7F848E } /* Comment.Single */
html:not([data-theme=light]) .codehilite .cs { color: #7F848E } /* Comment.Special */
html:not([data-theme=light]) .codehilite .gd { color: #E06C75 } /* Generic.Deleted */
html:not([data-theme=light]) .codehilite .ge { color: #ABB2BF; font-style: italic } /* Generic.Emph */
html:not([data-theme=light]) .codehilite .ges { color: #ABB2BF } /* Generic.EmphStrong */
html:not([data-theme=light]) .codehilite .gr { color: #E06C75 } /* Generic.Error */
html:not([data-theme=light]) .codehilite .gh { color: #ABB2BF; font-weight: bold } /* Generic.Heading */
html:not([data-theme=light]) .codehilite .gi { color: #98C379 } /* Generic.Inserted */
html:not([data-theme=light]) .codehilite .go { color: #E06C75 } /* Generic.Output */
html:not([data-theme=light]) .codehilite .gp { color: #ABB2BF } /* Generic.Prompt */
html:not([data-theme=light]) .codehilite .gs { color: #ABB2BF; font-weight: bold } /* Generic.Strong */
html:not([data-theme=light]) .codehilite .gu { color: #ABB2BF; font-weight: bold } /* Generic.Subheading */
html:not([data-theme=light]) .codehilite .gt { color: #E06C75 } /* Generic.Traceback */
html:not([data-theme=light]) .codehilite .kc { color: #E5C07B } /* Keyword.Constant */
html:not([data-theme=light]) .codehilite .kd { color: #C678DD } /* Keyword.Declaration */
html:not([data-theme=light]) .codehilite .kn { color: #C678DD } /* Keyword.Namespace */
html:not([data-theme=light]) .codehilite .kp { color: #C678DD } /* Keyword.Pseudo */
html:not([data-theme=light]) .codehilite .kr { color: #C678DD } /* Keyword.Reserved */
html:not([data-theme=light]) .codehilite .kt { color: #E5C07B } /* Keyword.Type */
html:not([data-theme=light]) .codehilite .ld { color: #ABB2BF } /* Literal.Date */
html:not([data-theme=light]) .codehilite .m { color: #D19A66 } /* Literal.Number */
html:not([data-theme=light]) .codehilite .s { color: #98C379 } /* Literal.String */
html:not([data-theme=light]) .codehilite .na { color: #E06C75 } /* Name.Attribute */
html:not([data-theme=light]) .codehilite .nb { color: #E5C07B } /* Name.Builtin */
html:not([data-theme=light]) .codehilite .nc { color: #E5C07B } /* Name.Class */
html:not([data-theme=light]) .codehilite .no { color: #E06C75 } /* Name.Constant */
html:not([data-theme=light]) .codehilite .nd { color: #61AFEF } /* Name.Decorator */
html:not([data-theme=light]) .codehilite .ni { color: #E06C75 } /* Name.Entity */
html:not([data-theme=light]) .codehilite .ne { color: #E06C75 } /* Name.Exception */
html:not([data-theme=light]) .codehilite .nf { color: #61AFEF; font-weight: bold } /* Name.Function */
html:not([data-theme=light]) .codehilite .nl { color: #E06C75 } /* Name.Label */
html:not([data-theme=light]) .codehilite .nn { color: #E06C75 } /* Name.Namespace */
html:not([data-theme=light]) .codehilite .nx { color: #E06C75 } /* Name.Other */
html:not([data-theme=light]) .codehilite .py { color: #E06C75 } /* Name.Property */
html:not([data-theme=light]) .codehilite .nt { color: #E06C75 } /* Name.Tag */
html:not([data-theme=light]) .codehilite .nv { color: #E06C75 } /* Name.Variable */
html:not([data-theme=light]) .codehilite .ow { color: #56B6C2 } /* Operator.Word */
html:not([data-theme=light]) .codehilite .pm { color: #ABB2BF } /* Punctuation.Marker */
html:not([data-theme=light]) .codehilite .w { color: #ABB2BF } /* Text.Whitespace */
html:not([data-theme=light]) .codehilite .mb { color: #D19A66 } /* Literal.Number.Bin */
html:not([data-theme=light]) .codehilite .mf { color: #D19A66 } /* Literal.Number.Float */
html:not([data-theme=light]) .codehilite .mh { color: #D19A66 } /* Literal.Number.Hex */
html:not([data-theme=light]) .codehilite .mi { color: #D19A66 } /* Literal.Number.Integer */
html:not([data-theme=light]) .codehilite .mo { color: #D19A66 } /* Literal.Number.Oct */
html:not([data-theme=light]) .codehilite .sa { color: #98C379 } /* Literal.String.Affix */
html:not([data-theme=light]) .codehilite .sb { color: #98C379 } /* Literal.String.Backtick */
html:not([data-theme=light]) .codehilite .sc { color: #98C379 } /* Literal.String.Char */
html:not([data-theme=light]) .codehilite .dl { color: #98C379 } /* Literal.String.Delimiter */
html:not([data-theme=light]) .codehilite .sd { color: #98C379 } /* Literal.String.Doc */
html:not([data-theme=light]) .codehilite .s2 { color: #98C379 } /* Literal.String.Double */
html:not([data-theme=light]) .codehilite .se { color: #98C379 } /* Literal.String.Escape */
html:not([data-theme=light]) .codehilite .sh { color: #98C379 } /* Literal.String.Heredoc */
html:not([data-theme=light]) .codehilite .si { color: #98C379 } /* Literal.String.Interpol */
html:not([data-theme=light]) .codehilite .sx { color: #98C379 } /* Literal.String.Other */
html:not([data-theme=light]) .codehilite .sr { color: #98C379 } /* Literal.String.Regex */
html:not([data-theme=light]) .codehilite .s1 { color: #98C379 } /* Literal.String.Single */
html:not([data-theme=light]) .codehilite .ss { color: #98C379 } /* Literal.String.Symbol */
html:not([data-theme=light]) .codehilite .bp { color: #E5C07B } /* Name.Builtin.Pseudo */
html:not([data-theme=light]) .codehilite .fm { color: #56B6C2; font-weight: bold } /* Name.Function.Magic */
html:not([data-theme=light]) .codehilite .vc { color: #E06C75 } /* Name.Variable.Class */
html:not([data-theme=light]) .codehilite .vg { color: #E06C75 } /* Name.Variable.Global */
html:not([data-theme=light]) .codehilite .vi { color: #E06C75 } /* Name.Variable.Instance */
html:not([data-theme=light]) .codehilite .vm { color: #E06C75 } /* Name.Variable.Magic */
html:not([data-theme=light]) .codehilite .il { color: #D19A66 } /* Literal.Number.Integer.Long */
}
pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
html[data-theme=dark] .codehilite .hll { background-color: #ffffcc }
html[data-theme=dark] .codehilite { background: #282C34; color: #ABB2BF }
html[data-theme=dark] .codehilite .c { color: #7F848E } /* Comment */
html[data-theme=dark] .codehilite .err { color: #ABB2BF } /* Error */
html[data-theme=dark] .codehilite .esc { color: #ABB2BF } /* Escape */
html[data-theme=dark] .codehilite .g { color: #ABB2BF } /* Generic */
html[data-theme=dark] .codehilite .k { color: #C678DD } /* Keyword */
html[data-theme=dark] .codehilite .l { color: #ABB2BF } /* Literal */
html[data-theme=dark] .codehilite .n { color: #E06C75 } /* Name */
html[data-theme=dark] .codehilite .o { color: #56B6C2 } /* Operator */
html[data-theme=dark] .codehilite .x { color: #ABB2BF } /* Other */
html[data-theme=dark] .codehilite .p { color: #ABB2BF } /* Punctuation */
html[data-theme=dark] .codehilite .ch { color: #7F848E } /* Comment.Hashbang */
html[data-theme=dark] .codehilite .cm { color: #7F848E } /* Comment.Multiline */
html[data-theme=dark] .codehilite .cp { color: #7F848E } /* Comment.Preproc */
html[data-theme=dark] .codehilite .cpf { color: #7F848E } /* Comment.PreprocFile */
html[data-theme=dark] .codehilite .c1 { color: #7F848E } /* Comment.Single */
html[data-theme=dark] .codehilite .cs { color: #7F848E } /* Comment.Special */
html[data-theme=dark] .codehilite .gd { color: #E06C75 } /* Generic.Deleted */
html[data-theme=dark] .codehilite .ge { color: #ABB2BF; font-style: italic } /* Generic.Emph */
html[data-theme=dark] .codehilite .ges { color: #ABB2BF } /* Generic.EmphStrong */
html[data-theme=dark] .codehilite .gr { color: #E06C75 } /* Generic.Error */
html[data-theme=dark] .codehilite .gh { color: #ABB2BF; font-weight: bold } /* Generic.Heading */
html[data-theme=dark] .codehilite .gi { color: #98C379 } /* Generic.Inserted */
html[data-theme=dark] .codehilite .go { color: #E06C75 } /* Generic.Output */
html[data-theme=dark] .codehilite .gp { color: #ABB2BF } /* Generic.Prompt */
html[data-theme=dark] .codehilite .gs { color: #ABB2BF; font-weight: bold } /* Generic.Strong */
html[data-theme=dark] .codehilite .gu { color: #ABB2BF; font-weight: bold } /* Generic.Subheading */
html[data-theme=dark] .codehilite .gt { color: #E06C75 } /* Generic.Traceback */
html[data-theme=dark] .codehilite .kc { color: #E5C07B } /* Keyword.Constant */
html[data-theme=dark] .codehilite .kd { color: #C678DD } /* Keyword.Declaration */
html[data-theme=dark] .codehilite .kn { color: #C678DD } /* Keyword.Namespace */
html[data-theme=dark] .codehilite .kp { color: #C678DD } /* Keyword.Pseudo */
html[data-theme=dark] .codehilite .kr { color: #C678DD } /* Keyword.Reserved */
html[data-theme=dark] .codehilite .kt { color: #E5C07B } /* Keyword.Type */
html[data-theme=dark] .codehilite .ld { color: #ABB2BF } /* Literal.Date */
html[data-theme=dark] .codehilite .m { color: #D19A66 } /* Literal.Number */
html[data-theme=dark] .codehilite .s { color: #98C379 } /* Literal.String */
html[data-theme=dark] .codehilite .na { color: #E06C75 } /* Name.Attribute */
html[data-theme=dark] .codehilite .nb { color: #E5C07B } /* Name.Builtin */
html[data-theme=dark] .codehilite .nc { color: #E5C07B } /* Name.Class */
html[data-theme=dark] .codehilite .no { color: #E06C75 } /* Name.Constant */
html[data-theme=dark] .codehilite .nd { color: #61AFEF } /* Name.Decorator */
html[data-theme=dark] .codehilite .ni { color: #E06C75 } /* Name.Entity */
html[data-theme=dark] .codehilite .ne { color: #E06C75 } /* Name.Exception */
html[data-theme=dark] .codehilite .nf { color: #61AFEF; font-weight: bold } /* Name.Function */
html[data-theme=dark] .codehilite .nl { color: #E06C75 } /* Name.Label */
html[data-theme=dark] .codehilite .nn { color: #E06C75 } /* Name.Namespace */
html[data-theme=dark] .codehilite .nx { color: #E06C75 } /* Name.Other */
html[data-theme=dark] .codehilite .py { color: #E06C75 } /* Name.Property */
html[data-theme=dark] .codehilite .nt { color: #E06C75 } /* Name.Tag */
html[data-theme=dark] .codehilite .nv { color: #E06C75 } /* Name.Variable */
html[data-theme=dark] .codehilite .ow { color: #56B6C2 } /* Operator.Word */
html[data-theme=dark] .codehilite .pm { color: #ABB2BF } /* Punctuation.Marker */
html[data-theme=dark] .codehilite .w { color: #ABB2BF } /* Text.Whitespace */
html[data-theme=dark] .codehilite .mb { color: #D19A66 } /* Literal.Number.Bin */
html[data-theme=dark] .codehilite .mf { color: #D19A66 } /* Literal.Number.Float */
html[data-theme=dark] .codehilite .mh { color: #D19A66 } /* Literal.Number.Hex */
html[data-theme=dark] .codehilite .mi { color: #D19A66 } /* Literal.Number.Integer */
html[data-theme=dark] .codehilite .mo { color: #D19A66 } /* Literal.Number.Oct */
html[data-theme=dark] .codehilite .sa { color: #98C379 } /* Literal.String.Affix */
html[data-theme=dark] .codehilite .sb { color: #98C379 } /* Literal.String.Backtick */
html[data-theme=dark] .codehilite .sc { color: #98C379 } /* Literal.String.Char */
html[data-theme=dark] .codehilite .dl { color: #98C379 } /* Literal.String.Delimiter */
html[data-theme=dark] .codehilite .sd { color: #98C379 } /* Literal.String.Doc */
html[data-theme=dark] .codehilite .s2 { color: #98C379 } /* Literal.String.Double */
html[data-theme=dark] .codehilite .se { color: #98C379 } /* Literal.String.Escape */
html[data-theme=dark] .codehilite .sh { color: #98C379 } /* Literal.String.Heredoc */
html[data-theme=dark] .codehilite .si { color: #98C379 } /* Literal.String.Interpol */
html[data-theme=dark] .codehilite .sx { color: #98C379 } /* Literal.String.Other */
html[data-theme=dark] .codehilite .sr { color: #98C379 } /* Literal.String.Regex */
html[data-theme=dark] .codehilite .s1 { color: #98C379 } /* Literal.String.Single */
html[data-theme=dark] .codehilite .ss { color: #98C379 } /* Literal.String.Symbol */
html[data-theme=dark] .codehilite .bp { color: #E5C07B } /* Name.Builtin.Pseudo */
html[data-theme=dark] .codehilite .fm { color: #56B6C2; font-weight: bold } /* Name.Function.Magic */
html[data-theme=dark] .codehilite .vc { color: #E06C75 } /* Name.Variable.Class */
html[data-theme=dark] .codehilite .vg { color: #E06C75 } /* Name.Variable.Global */
html[data-theme=dark] .codehilite .vi { color: #E06C75 } /* Name.Variable.Instance */
html[data-theme=dark] .codehilite .vm { color: #E06C75 } /* Name.Variable.Magic */
html[data-theme=dark] .codehilite .il { color: #D19A66 } /* Literal.Number.Integer.Long */
